import os
import signal
import sys
sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])

from common import logger
from common.mproctaskrunner import MprocTaskRunner
from upload.fam import fam
import traceback

log = logger.getUploadLogger("main")
log.info(u"exchange-upload start for cs")


def stop(signum, frame):
    fam.stop()


signal.signal(signal.SIGTERM, stop)

try:
    fam.start(True, MprocTaskRunner())
except:
    log.error(u'%s' % traceback.format_exc())
